# -*- encoding : utf-8 -*-

class Admin::SorecopTaxesController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @sorecop_taxes = SorecopTax.all

    @sorecop_taxes = sort_by_sorting(@sorecop_taxes, "id DESC")
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 100
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @sorecop_taxes = @sorecop_taxes.page(page).per(per_page)
      
      }
    end
  end

  def show
    @sorecop_tax = SorecopTax.find(params[:id])

  end

  def new
    @sorecop_tax = SorecopTax.new
  
  end

  def edit
    @sorecop_tax = SorecopTax.find(params[:id])
    
  end

  def create
    @sorecop_tax = SorecopTax.new(params.require(:sorecop_tax).permit!)

    if @sorecop_tax.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @sorecop_tax = SorecopTax.find(params[:id])


    if @sorecop_tax.update_attributes(params.require(:sorecop_tax).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @sorecop_tax = SorecopTax.find(params[:id])
    @sorecop_tax.destroy
    
  end
end
